> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Request an authorisation token from the remote system.

> Grants a Token



## OpenAPI

````yaml /openapi/ebs-supplier-api.json post /cms/ebs/token
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/token:
    post:
      tags:
        - Version 1
        - Authentication / Authorisation
      summary: Request an authorisation token from the remote system.
      description: Grants a Token
      operationId: post_cms_core_ebs_authenticate
      parameters:
        - name: client_id
          in: query
          description: Client ID
          required: true
          schema:
            type: string
        - name: client_secret
          in: query
          description: Client secret
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                properties:
                  access_token:
                    description: Token to be used to authorise future requests.
                    type: string
                  expires_in:
                    description: Number of seconds before the token will expire.
                    type: integer
                  error_description:
                    description: Set after unsuccessful authentication attempt.
                    type: string
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.